#### Previous topic

scipy.linalg.svdvals

#### Next topic

scipy.linalg.orth

# scipy.linalg.diagsvd

`scipy.linalg.``diagsvd`(s, M, N)

  Construct the sigma matrix in SVD from singular values and size M, N.

  Parameters:

  s : (M,) or (N,) array_like

  > Singular values

  M : int

  > Size of the matrix whose singular values are `s`.

  N : int

  > Size of the matrix whose singular values are `s`.

  Returns:

  S : (M, N) ndarray

  > The S-matrix in the singular value decomposition